#----------------------------------------------------------------------------------#
#
# REGULAR EXPRESSIONS
#
# FILE:			regexp.py
# AUTHOR:		Peter Quinn
# DATE:			10.02.2005
# VERSION:		1.00
#
# DESCRIPTION:	Regular Expression preferences for HyperTail.
#
#----------------------------------------------------------------------------------#

no_mac		= False
no_ttl		= False
no_empty	= False
no_null		= False
no_dest		= False

regextra	= "[A-Z]+l:"


#----------------------------------------------------------------------------------#
#
# REGULAR EXPRESSION PREFERENCES:
#
#
#
def regexp_prefs(key, value):

	if		key == "no_mac":		set_no_mac(value)
	elif	key == "no_ttl":		set_no_ttl(value)
	elif	key == "no_empty":		set_no_empty(value)
	elif	key == "no_null":		set_no_null(value)
	elif	key == "no_dest":		set_no_dest(value)

	elif	key == "regextra":		set_regextra(value)

	
#----------------------------------------------------------------------------------#
#
#
#
def set_no_spaces(value):

	no_spaces = value

	
#
#
#
def set_no_leading(value):

	no_leading = value


#
#
#
def set_no_trailing(value):

	no_trailing = value

	
#
#
#
def set_no_tabs(value):

	no_tabs = value

	
#----------------------------------------------------------------------------------#
#
# IPTABLES OUTPUT MANIPULATION:
#
#
# Turns display of MAC addresses on/off.
#
def set_no_mac(value):
	
	if value:
		tail.set = "mac"
	else:
		tail.unset = "mac"
	
	refresh_buffer()


#
# Turns display of TTL (time to live) variables on/off.
#
def set_no_ttl(value):
	
	if value:
		tail.set = "ttl"
	else:
		tail.unset = "ttl"
		
	refresh_buffer()


#
# Turns display of empty variables on/off.
#
def set_no_empty(value):
	
	if value:
		tail.set = "empty"
	else:
		tail.unset = "empty"
		
	refresh_buffer()


#
# Turns display of NULL variables on/off.
#
def set_no_null(value):

	if value:
		tail.set = "null"
	else:
		tail.unset = "null"

	refresh_buffer()


#
# Turns display of the destination IP address on/off.
#
def set_no_dest(value):

	if value:
		tail.set = "dest"
	else:
		tail.unset = "dest"

	refresh_buffer()


#
# Sets the user defined regular expression.
#
def set_regextra(value):

	regextra = value

	tail.set_regextra = regextra
	refresh_buffer()

	
#----------------------------------------------------------------------------------#

